
Name: firejail
Version: 0.9.72
Release:    1%{?dist}
Summary: Linux namespaces sandbox program
BuildRequires: gcc make python3-devel
BuildRequires: libselinux-devel
Requires: xdg-dbus-proxy

License: GPL-2.0-or-later
URL: https://github.com/netblue30/firejail
Source0: %{url}/archive/%{version}/%{name}-%{version}.tar.gz

%description
Firejail is a SUID sandbox program that reduces the risk of security
breaches by restricting the running environment of untrusted applications
using Linux namespaces. It includes a sandbox profile for Mozilla Firefox.

%prep
%autosetup -p1

%build
%configure --enable-selinux
%make_build

%install
%make_install
chmod 0755 %{buildroot}%{_libdir}/%{name}/lib*.so
for f in \
%{buildroot}%{_libdir}/%{name}/fj-mkdeb.py \
%{buildroot}%{_libdir}/%{name}/fjclip.py \
%{buildroot}%{_libdir}/%{name}/fjdisplay.py \
%{buildroot}%{_libdir}/%{name}/fjresize.py
do
    sed -i "1 s/^.*$/\#\!\/usr\/bin\/python3/" "$f";
done
rm %{buildroot}%{_datadir}/gtksourceview-5/language-specs/firejail-profile.lang

%files
%doc README RELNOTES CONTRIBUTING.md
%license COPYING

%{_bindir}/firecfg
%{_bindir}/firemon
%{_bindir}/jailcheck
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datarootdir}/bash-completion/completions/
%{_datarootdir}/vim/vimfiles
%{_datarootdir}/zsh/site-functions/_%{name}
%{_docdir}/%{name}/COPYING
%{_docdir}/%{name}/profile.template
%{_docdir}/%{name}/redirect_alias-profile.template
%{_docdir}/%{name}/syscalls.txt
%{_mandir}/man5/%{name}-login.5.*
%{_mandir}/man5/%{name}-profile.5.*
%{_mandir}/man5/%{name}-users.5.*
%{_mandir}/man1/*
%config(noreplace) %{_sysconfdir}/%{name}

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.72-1
- initial build
